Package org.zkoss.stateless.sul

## Interface IListitemBase<I extends IListitemBase>

- All Superinterfaces:
    `IComponent<I>`, `IHtmlBasedComponent<I>`, `IListboxComposite<I>`, `IMeshComposite<I>`, `IXulElement<I>`
  All Known Subinterfaces:
    `IListgroup`, `IListgroupChild<I>`, `IListgroupfoot`, `IListgroupfootChild<I>`, `IListitem`

      public interface IListitemBase<I extends IListitemBase>
      extends IXulElement<I>, IListboxComposite<I>

  Immutable `Listitem` base component
  Author:
    katherine

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `default void` | `checkHflex()` |
    `default void` | `checkWidth()` |
    `java.lang.String` | `getImage()` |
    `default int` | `getIndex()` |
    `default boolean` | `isDisabled()` |
    `default boolean` | `isLoaded()` |
    `default boolean` | `isSelectable()` |
    `default boolean` | `isSelected()` |
    `default void` | `renderProperties​(ContentRenderer renderer)` | Internal use
    `I` | `withDisabled​(boolean disabled)` |
    `I` | `withImage​(java.lang.String image)` |
    `I` | `withIndex​(int index)` |
    `I` | `withLoaded​(boolean loaded)` |
    `I` | `withSelectable​(boolean selectable)` |
    `I` | `withSelected​(boolean selected)` |

    - ### Methods inherited from interface org.zkoss.stateless.sul.IComponent

      `getAction, getActions, getClientAttributes, getId, getMold, getWidgetClass, getWidgetListeners, getWidgetOverrides, isVisible, withAction, withAction, withAction, withAction, withAction, withAction, withAction, withAction, withAction, withAction, withAction, withActions, withActions, withClientAttribute, withClientAttributes, withId, withMold, withVisible, withWidgetClass, withWidgetListener, withWidgetListeners, withWidgetOverride, withWidgetOverrides`

    - ### Methods inherited from interface org.zkoss.stateless.sul.IHtmlBasedComponent

      `getClientAction, getDraggable, getDroppable, getHeight, getHflex, getLeft, getRenderdefer, getSclass, getStyle, getTabindex, getTooltiptext, getTop, getVflex, getWidth, getZclass, getZIndex, isFocus, withClientAction, withDraggable, withDroppable, withFocus, withHeight, withHflex, withLeft, withRenderdefer, withSclass, withStyle, withTabindex, withTabindex, withTooltiptext, withTop, withVflex, withWidth, withZclass, withZIndex`

    - ### Methods inherited from interface org.zkoss.stateless.sul.IXulElement

      `getContext, getCtrlKeys, getPopup, getTooltip, withContext, withCtrlKeys, withPopup, withTooltip`

- - ### Method Detail

    - #### getImage

          @Nullable
          java.lang.String getImage()

    - #### withImage

          I withImage​(@Nullable
                      java.lang.String image)

    - #### getIndex

          default int getIndex()

    - #### withIndex

          I withIndex​(int index)

    - #### isLoaded

          default boolean isLoaded()

    - #### withLoaded

          I withLoaded​(boolean loaded)

    - #### isSelected

          default boolean isSelected()

    - #### withSelected

          I withSelected​(boolean selected)

    - #### isSelectable

          default boolean isSelectable()

    - #### withSelectable

          I withSelectable​(boolean selectable)

    - #### isDisabled

          default boolean isDisabled()

    - #### withDisabled

          I withDisabled​(boolean disabled)

    - #### checkWidth

          @Check
          default void checkWidth()

    - #### checkHflex

          @Check
          default void checkHflex()

    - #### renderProperties

          default void renderProperties​(ContentRenderer renderer)
                                 throws java.io.IOException

      Description copied from interface: `IXulElement`
      Internal use
      Specified by:
        `renderProperties` in interface `IComponent<I extends IListitemBase>`
      Specified by:
        `renderProperties` in interface `IHtmlBasedComponent<I extends IListitemBase>`
      Specified by:
        `renderProperties` in interface `IXulElement<I extends IListitemBase>`
      Throws:
        `java.io.IOException`